extends ../_docs-template

block vars
  - var activeLink = 'vue';
  - var title = 'Panel Vue Component | Framework7 Vue Documentation';

block docs-index

block content


  .docs-nav
    include ../_docs-menu-vue
  .docs-content
    .motion-docs-page-title
      h1 Panel Vue Component
      script(src="/js/motion/sidepanels.js")
      f7-motion-sidepanels(motion)

    p Panel Vue component represents <a href="../docs/panel.html">Side Panels</a> component.
    h2 Panel Components
    p There are following components included:
    ul
      li `f7-panel` - Panel element
    h2 Panel Properties
    table.params-table
      thead
        tr
          th Prop
          th Type
          th Default
          th Description
      tbody
        tr
          td side
          td string
          td
          td Panel side. Could be `left` or `right`
        tr
          td left
          td boolean
          td
          td Shortcut prop for `side="left"`
        tr
          td right
          td boolean
          td
          td Shortcut prop for `side="right"`
        tr
          td effect
          td string
          td
          td Panel effect. Can be `cover`, `reveal` or `push`
        tr
          td cover
          td boolean
          td
          td Shortcut prop for `effect="cover"`
        tr
          td reveal
          td boolean
          td
          td Shortcut prop for `effect="reveal"`
        tr
          td push
          td boolean
          td
          td Shortcut prop for `effect="push"`
        tr
          td floating
          td boolean
          td
          td Shortcut prop for `effect="floating"`
        tr
          td visible-breakpoint
          td number
          td
          td Minimal app width (in px) when left panel becomes always visible
        tr
          td collapsed-breakpoint
          td number
          td
          td Minimal app width (in px) when left panel becomes partially visible (collapsed)
        tr
          td swipe
          td boolean
          td false
          td Enable if you want to enable ability to open/close panel with swipe
        tr
          td swipe-no-follow
          td boolean
          td false
          td Fallback option for potentially better performance on old/slow devices. If you enable it, then swipe panel will not follow your finger during touch move, it will be automatically opened/closed on swipe left/right.
        tr
          td swipe-active-area
          td number
          td 0
          td Width (in px) of invisible edge from the screen that triggers panel swipe
        tr
          td swipe-only-close
          td boolean
          td false
          td This parameter allows to close (but not open) panel with swipes. (`swipe` should be also enabled)
        tr
          td swipe-threshold
          td number
          td 0
          td Panel will not move with swipe if "touch distance" will be less than this value (in px).
        tr
          td backdrop
          td boolean
          td true
          td Enables Panel backdrop (dark semi transparent layer behind)
        tr
          td backdrop-el
          td HTMLElement<br>string
          td
          td HTML element or string CSS selector of custom backdrop element
        tr
          td close-by-backdrop-click
          td boolean
          td true
          td Enable/disable ability to close panel by clicking outside of panel
        tr
          td resizable
          td boolean
          td false
          td Enables/disables resizable panel
        tr
          td container-el
          td HTMLElement<br>string
          td
          td Element to mount panel to (default to app root element)
        tr
          td opened
          td boolean
          td
          td Allows to open/close panel and set its initial state

    h2 Panel Events
    table.events-table
      thead
        tr
          th Event
          th Description
      tbody
        tr
          td panel:open
          td Event will be triggered when Panel starts its opening animation
        tr
          td panel:opened
          td Event will be triggered after Panel completes its opening animation
        tr
          td panel:close
          td Event will be triggered when Panel starts its closing animation
        tr
          td panel:closed
          td Event will be triggered after Panel completes its closing animation
        tr
          td panel:backdrop-click
          td Event will be triggered when the panel backdrop is clicked
        tr
          td panel:swipe
          td Event will be triggered for swipe panels during touch swipe action
        tr
          td panel:swipeopen
          td Event will be triggered in the very beginning of opening it with swipe
        tr
          td panel:collapsedbreakpoint
          td Event will be triggered when it becomes visible/hidden when app width matches its `collapsedBreakpoint`
        tr
          td panel:breakpoint
          td Event will be triggered when it becomes visible/hidden when app width matches its `visibleBreakpoint`

    h2 Panel v-model
    p Panel component supports `v-model` on `opened` prop:
    ```html
      <template>
        <f7-page>
          <f7-panel v-model:opened="isOpened">
            ...
          </f7-panel>
          <p>Panel is opened: {{ isOpened }}</p>
        </f7-page>
      </template>
      <script>
        export default {
          data() {
            return {
              isOpened: false,
            };
          }
        };
      </script>
    ```

    h2 Open And Close Panel
    p You can control panel state, open and closing it:
    ul
      li using <a href="../docs/panel.html">Panel API</a>
      li by passing `true` or `false` to its `opened` prop
      li by clicking on <a href="link.html">Link</a> or <a href="button.html">Button</a> with relevant `panel-open` property (to open it) and `panel-close` property to close it


    h2 Examples
    +examplePreview('vue', 'panel.vue', 'panel')
